RetriedSliceFromReadCommand (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.db

## Class RetriedSliceFromReadCommand

- java.lang.Object
- - org.apache.cassandra.db.ReadCommand
  - - org.apache.cassandra.db.SliceFromReadCommand
    - - org.apache.cassandra.db.RetriedSliceFromReadCommand

- All Implemented Interfaces:
    IReadCommand, Pageable

      public class RetriedSliceFromReadCommand
      extends SliceFromReadCommand

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.db.ReadCommand

      `ReadCommand.Type`

    - ### Nested classes/interfaces inherited from interface org.apache.cassandra.service.pager.Pageable

      `Pageable.ReadCommands`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `originalCount`

    - ### Fields inherited from class org.apache.cassandra.db.SliceFromReadCommand

      `filter`

    - ### Fields inherited from class org.apache.cassandra.db.ReadCommand

      `cfName, commandType, key, ksName, timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RetriedSliceFromReadCommand(java.lang.String keyspaceName, java.nio.ByteBuffer key, java.lang.String cfName, long timestamp, SliceQueryFilter filter, int originalCount)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ReadCommand` | `copy()`
    `int` | `getOriginalRequestedCount()` The original number of columns requested by the user.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.db.SliceFromReadCommand

      `filter, getRow, maybeGenerateRetryCommand, maybeTrim, withUpdatedFilter`

    - ### Methods inherited from class org.apache.cassandra.db.ReadCommand

      `create, createMessage, getColumnFamilyName, getKeyspace, getTimeout, isDigestQuery, setIsDigestQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### originalCount

          public final int originalCount

  - ### Constructor Detail

    - #### RetriedSliceFromReadCommand

          public RetriedSliceFromReadCommand(java.lang.String keyspaceName,
                                             java.nio.ByteBuffer key,
                                             java.lang.String cfName,
                                             long timestamp,
                                             SliceQueryFilter filter,
                                             int originalCount)

  - ### Method Detail

    - #### copy

          public ReadCommand copy()

      Overrides:
        `copy` in class `SliceFromReadCommand`

    - #### getOriginalRequestedCount

          public int getOriginalRequestedCount()

      Description copied from class: `SliceFromReadCommand`
      The original number of columns requested by the user. This can be different from count when the slice command is a retry (see RetriedSliceFromReadCommand)
      Overrides:
        `getOriginalRequestedCount` in class `SliceFromReadCommand`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `SliceFromReadCommand`

Copyright © 2018 The Apache Software Foundation